---

- name: Create a app directory if it does not exist
  ansible.builtin.file:
    path: "{{ item }}"
    state: directory
    mode: '0777'
  loop:
    - /opt/apps/pihole
    - /opt/apps/pihole/etc/pihole
    - /opt/apps/pihole/etc/dnsmasq.d

- name: Copy conf files
  copy:
    src: "{{ item }}"
    dest: /opt/apps/pihole/etc/dnsmasq.d
#    owner: "{{ ansible_user }}"
    mode: '0644'
  with_fileglob:
    - '*.conf'

- name: Copy docker compose files
  copy:
    src: "{{ item }}"
    dest: /opt/apps/pihole
#    owner: "{{ ansible_user }}"
    mode: '0644'
  with_fileglob:
    - '*.yml'

- name: Create and start services
  community.docker.docker_compose:
    project_src: /opt/apps/pihole
  register: output

- ansible.builtin.debug:
    var: output